Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I have an ArcGIS 10.0 extension which will no longer install for users who have upgraded to ArcGIS 10.1. Are there a defined set of changes that need to be made in order to upgrade the extension, or is it dependent on extension options, such as the libraries that are called?

The error recieved upon install is: "Error 1001. Unable to get installer types in the C:\...extensionname.dll assembly. --> Unable to load one or more of the requested types. Retrieve the LoadedExceptions property for more information."

Any other comments/advice on moving extensions to 10.1?

share|improve this question
    
Is this an add-in or a traditional COM component? What error do you receive? –  blah238 Oct 16 '12 at 16:45
    
It is a traditional COM component. The error is "Error 1001. Unable to get installer types in the C:\...extensionname.dll assembly. --> Unable to load one or more of the requested types. Retrieve the LoadedExceptions property for more information." –  Nick Ochoski Oct 16 '12 at 17:11
    
Try using fuslogvw to view the assembly binding logs. Read here for more: blogs.msdn.com/b/suzcook/archive/2003/05/29/57120.aspx –  blah238 Oct 16 '12 at 17:15

1 Answer 1

up vote 3 down vote accepted

Looks like you will need to install VS2010, perform a project upgrade, and set any referenced ESRI assemblies' Specific Version property to false. See here for more info: Migrating ArcGIS 9.3.x and 10 Desktop and Engine custom components to ArcGIS 10.1

share|improve this answer
    
This documentation is exactly what I was looking for. Many thanks. –  Nick Ochoski Oct 17 '12 at 16:07

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.